'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var fs = require('fs');
var path = require('path');
var plato = require('plato');
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'quality:report',
    description: 'Generate a code quality report',
    callback: callback
};

module.exports = config;

/////////////////////////////

/*jshint unused:false*/
function callback(settings, done) {
    var options = {};

    var jshint = (fs.existsSync('./.jshintrc')) ?
        fs.readFileSync('./.jshintrc', 'utf8')
        : false;

    if (jshint) {
        options.jshint = JSON.parse(jshint);
    }

    var cb = function () {
        done();
    };

    plato.inspect(settings.src, settings.paths.build, options, cb);
}
